SDL_round(3)

NAME
SDL_round - Round x to the nearest integer.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

double SDL_round(double x);

DESCRIPTION
Rounds x to the nearest integer. Values halfway between integers will be rounded away from zero. Domain: -INF<=x<=INF Range: -INF<=y<=INF , y integer This function operates on double-precision floating point values, use SDL_roundf
 for single-precision floats. To get the result as an integer type, use SDL_lround .

FUNCTION PARAMETERS

x   floating point value

RETURN VALUE
Returns the nearest integer to x

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_roundf(3), SDL_lround(3), SDL_floor(3), SDL_ceil(3), SDL_trunc(3)